<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/



class site
{

	var $pages = array(
								"torrent" 	=>array(
														"dir"		=>"inc/page/admin/torrent",
														"index"	=>"index.php",
														"submit"	=>"submit.php"
													),
								"admin"		=>array(
														"dir"		=>"inc/page/admin",
														"index"	=>"index.php",
														"submit"	=>"submit.php"
													),
								"wget" 		=>array(
														"dir"		=>"inc/page/admin/wget",
														"index"	=>"index.php",
														"submit"	=>"submit.php"
													),
								"get" 		=>array(
														"dir"		=>"inc/page/admin/get",
														"index"	=>"index.php",
														"submit"	=>"submit.php"
													),
								"downloads" =>array(
														"dir"		=>"inc/page/admin/downloads",
														"index"	=>"index.php",
														"submit"	=>"submit.php",
													),
								"configure" =>array(
														"dir"		=>"inc/page/admin/configure",
														"index"	=>"index.php",
														"submit"	=>"submit.php"
													),
								"log"			=>array(
														"dir"		=>"inc/page/admin/log",
														"index"	=>"index.php",
														"submit"	=>"submit.php"
													),
								"help" 		=>array(
														"dir"		=>"inc/page/help",
														"index"	=>"index.php",
														"submit"	=>"submit.php"
													)
							);
							
	var $path = array(
								"menu" 		=>"inc/menu.inc.php",
								"disk_bar"	=>"inc/disk_bar.inc.php",
								"footer"		=>"inc/footer.inc.php"
							); 
								

	/* return name of current page */
	function page()
	{
		$site = new site;
		/* login first */
		if ((isset($_GET['page']) && $_GET['page'] == "admin") || !isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
		{
			return "admin";
		}
		elseif (isset($_GET['page']) && $_GET['page'] == "help")
		{
			$page = "help";
		}
		/* if we don't have any valid system directory or '1234' is the UNSECURE! password */ 
		elseif (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['setup']))
		{
			$page = "configure";
		}
		/* client has defined valid page */
		elseif (isset($_GET['page']) && isset($site->pages[$_GET['page']]))
		{
			$page = $_GET['page'];
		}
		/* last page was storied in our session */ 
		elseif (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['page']))
		{
			$page = $_SESSION[$_SERVER['REMOTE_ADDR']]['page'];
		}
		else
		{
			$page = strtolower(array_shift(array_keys($site->pages)));
		}
		
		$_SESSION[$_SERVER['REMOTE_ADDR']]['page'] = $page;
		return $page;
	}



	function path($arg_name)
	{
		$site = new site;
		$page = $site->page();
		if (isset($site->path[$arg_name]))
		{
			return $site->path[$arg_name];
		}
		
		$path = $site->pages[$page]['dir']."/";
		if ($arg_name == "page" && isset($site->pages[$page]['index']))
		{
			$path .= $site->pages[$page]['index'];
		}
		elseif ($arg_name == "submit" && isset($site->pages[$page]['submit']))
		{
			$path .= $site->pages[$page]['submit'];

		}
		if (!is_file($path))
		{
			return;
		}
		return $path;
	}
}

?>