<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

/* client haven't login */
if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
{
	header("location: ../../../../");
	exit();
}


/* let's loop through our folder and show all files */
foreach (hdc::list_files($_SESSION[$_SERVER['REMOTE_ADDR']]['ddir']."/$path/") as $name)
{
	if (preg_match("/(\.(torrent|status)|^\.(htconfig\.xml|htlog))$/",$name))
	{
		continue;
	}
	
	$fullpath = $_SESSION[$_SERVER['REMOTE_ADDR']]['ddir']."/$path/$name";
	if (is_readable($fullpath))
	{
		if (!$mime = @mime_content_type($fullpath))
		{
			$mime = "unknown";
		}
		$mime = trim($mime);
	}
	if (substr($mime,0,6) == "video/")
	{
		$type = "video";
   }
   elseif (substr($mime,0,6) == "audio/")
   {
		$type = "audio";
   }
	elseif (substr($mime,0,6) == "image/")
	{
		$type = "image";
	}
	elseif ($mime == "application/x-zip")
	{
		$type = "zip";
	}
	elseif ($mime == "application/x-tar")
	{
		$type = "tar";
	} 
	elseif ($mime == "application/x-rar")
	{
		$type = "rar";
	}
	elseif ($mime == "application/x-bzip2" || ($mime == "text/plain" && substr($name,-4) == ".bz2"))
	{
		$type = "bzip2";
	}
	elseif ($mime == "application/x-executable")
	{
		$type = "binary";
	}
	elseif ($mime == "text/html")
	{
		$type = "html";
	}
	elseif ($mime == "text/plain")
	{
		$type = "txt";
	}
	else
	{
		$type = "unknown";
	}

	$mtime	= filemtime($fullpath);
	$size		= filesize($fullpath);
	$owner	= array_shift(posix_getpwuid(fileowner($fullpath)));
	$href 	= base64_encode($url."/".$name);
	$class	= $w3btorrent->div_color();
?>
<div class="d1 <?php echo $class; ?>">
        	<?php
        	
        	if ($mtime > time()-2)
        	{
				echo "<img src=\"pix/writeing.gif\" alt=\"\"/> ".etc::subword(htmlentities(urldecode($name)),40);
        	}
        	elseif (is_readable($fullpath))
        	{
 				echo "<img src=\"pix/$type.png\" alt=\"\" title=\"".$mime."\"/> ".etc::subword(htmlentities(urldecode($name)),40);
			}
			else
			{
				echo "<img src=\"pix/$type.d.png\" alt=\"\" title=\"".$mime."\"/> ".etc::subword(htmlentities(urldecode($name)),40);
			}
					
			?>
</div>
<div class="d2 <?php echo $class; ?>"><?php if ($size < 0) { echo "Unkown"; } else { echo etc::byte_change($size); } ?></div>
<div class="d3 <?php echo $class; ?>"><?php echo etc::subword($owner,15); ?></div>
<div class="d4 <?php echo $class; ?>"><?php echo date("Y-m-d",$mtime); ?></div>
<div class="d5 <?php echo $class; ?>">
	<?php
   
	/* untar */
	if ($mime == "application/x-tar")
	{
		if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['tar']) && is_readable($fullpath) && $mtime < time()-1)
		{
			echo "<a href=\"?page=downloads&amp;path=$href&amp;action=untar\" onclick=\"if (confirm('Do you want to extract this archive?')) { page('?page=downloads&amp;path=$href&amp;action=untar'); } return false;\" title=\"Untar this file.\"><img src=\"pix/tar.png\" alt=\"R\"/></a>";
		}
		else
		{
			echo "<img src=\"pix/tar.d.png\" alt=\"R\"/>";
		}
	}
	/* unrar */
	elseif ($mime == "application/x-rar")
	{
		if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['rar']) && is_readable($fullpath) && $mtime < time()-1)
		{
			echo " <a href=\"?page=downloads&amp;path=$href&amp;action=unrar\" onclick=\"if (confirm('Do you want to extract this archive?')) { page('?page=downloads&amp;path=$href&amp;action=unrar'); } return false;\" title=\"Extract this file.\"><img src=\"pix/rar.png\" alt=\"R\"/></a>";
		}
		else
		{
			echo " <img src=\"pix/rar.d.png\" alt=\"R\"/>";       				
		}
	}
	/* unzip */
	elseif ($mime == "application/x-zip")
	{
		if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['unzip']) && is_readable($fullpath) && $mtime < time()-1)
		{
			echo " <a href=\"?page=downloads&amp;path=$href&amp;action=unzip\" onclick=\"if (confirm('Do you want to extract this archive?')) { page('?page=downloads&amp;path=$href&amp;action=unzip'); } return false;\" title=\"Unzip this file.\"><img src=\"pix/zip.png\" alt=\"R\"/></a>";
		}
		else
		{
			echo " <img src=\"pix/zip.d.png\" alt=\"R\"/>";
		}	
	}
				
	/* tovid */					
	if (substr($mime,0,6) == "video/")
	{
		if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['tovid']) && is_readable($fullpath) && $mtime < time()-1)
		{
			echo " <a href=\"?page=downloads&amp;path=$href&amp;action=tovid\" onclick=\"if (confirm('Using settings from Tovid config. This will take a while, depends on size. Convert to MPEG?')) { page('?page=downloads&amp;path=$href&amp;action=tovid'); } return false;\" title=\"Convert this file to MPEG, DVD format.\" onclic=\"return confirm('Using settings from Tovid config. This will take a while, depends on size. Continue?');\"><img src=\"pix/tovid.png\" alt=\"T\"/></a>";
		}
		else
		{
			echo " <img src=\"pix/tovid.d.png\" alt=\"T\"/>";
		}
	}
	/* bchunk */
	elseif ($mime == "text/plain" && substr($name,-4) == ".bin")
	{
		$cue = substr($value['path'],0,-3)."cue";
		if (is_file($cue) && is_readable($cue) && mime_content_type($cue) == "text/plain" && is_readable($fullpath) && isset($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['bchunk']) && $mtime < time()-1)
		{
			echo " <a href=\"?page=downloads&amp;path=$href&amp;action=bchunk\" onclick=\"if (confirm('Do want to convert this file into .iso format? (will take a while)')) { page('?page=downloads&amp;path=$href&amp;action=bchunk'); } return false;\" title=\"Convert this file into .iso format.\"><img src=\"pix/cd.png\" alt=\"B\"/></a>";
		}
		else
		{
			echo " <img src=\"pix/cd.d.png\" alt=\"B\"/>";
		}
	}
				
	/* download */
	if (is_readable($fullpath) && $mtime < time()-1)
	{
		echo " <a href=\"?page=downloads&amp;path=$href&amp;action=download\" title=\"Download this file.\"><img src=\"pix/download.png\" alt=\"D\"/></a>";
	}
	else
	{
		echo " <img src=\"pix/download.d.png\" alt=\"D\"/>";
	}

	/* delete */
	echo " <a href=\"?page=downloads&amp;path=$href&amp;action=delete\" onclick=\"if (confirm('Do you want to delete this file?')) { page('?page=downloads&amp;path=$href&amp;action=delete'); } return false;\" title=\"Delete this file.\"><img src=\"pix/delete.png\" alt=\"X\"/></a>";
	            
	?>
</div>
<?php

	$files++;
}

?>
