<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

/* client hasn't login */
if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
{
	header("location: ../../../../");
	exit();
}

require_once("inc/class/downloads.class.php");

if (!isset($_GET['path']))
{
	$path = "";
}
else
{
	/* fix path */
	$path 	 = stripslashes(base64_decode($_GET['path']));
	$path 	 = str_replace(array("//","../"),array("/",""),$path);
	$realpath = realpath($_SESSION[$_SERVER['REMOTE_ADDR']]['ddir']."/".$path);
	$realpath = str_replace("//","",$realpath);

	if (!file_exists($realpath) || (is_file($realpath) && !isset($_GET['action'])))
	{
		$path = "";
	}
	/* we got something to do, oh yea */
	elseif (isset($_GET['action']))
	{
		/* delete */
		if ($_GET['action'] == "delete")
		{
			etc::rmrf($realpath);
			w3btorrent::write2log("'$realpath' removed.");
		}
		/* it's a dir */
		elseif (is_dir($realpath) && in_array($_GET['action'],array("tar","gzip","bzip2","rar","zip")))
		{
			downloads::compress_archive($realpath,$_GET['action']);
		}
		/* so it is a file */
		elseif (is_file($realpath) && in_array($_GET['action'],array("download","untar","unrar","unzip","tovid","bchunk","delete")) && !preg_match("/(\.(torrent|status)|^\.(htconfig\.xml|htlog)|^index\.php)$/",basename($realpath)) && !etc::in_use($realpath))
		{
			if ($_GET['action'] == "download") 
			{
				downloads::download($realpath);
			}
			elseif ($_GET['action'] == "untar" || $_GET['action'] == "unrar" || $_GET['action'] == "unzip")
			{
				downloads::decompress_archive($realpath,substr($_GET['action'],2));
			}
			elseif ($_GET['action'] == "tovid")
			{
				downloads::tovid_file($realpath);
			}
			elseif ($_GET['action'] == "bchunk")
			{
				$cue = etc::remove_ext($realpath,"").".cue";
				downloads::bchunk_file($realpath,$cue);
			}
		}
		
		/* should we stay in the current dir? */
		if (in_array($_GET['action'],array("tar","gzip","bzip2","rar","zip","untar","unrar","unzip","tovid","bchunk","download","delete")))
		{
			$path = dirname($path);
		}
	}
}

/* url */
$url	   = $path;
$urlback = base64_encode(dirname($path));

?>
