<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

if (!isset($_SESSION))
{
	header("location: ../../../../");
	exit();
}

require_once("inc/class/xml.class.php");
$xml = new xml;
$xml->load($_SESSION[$_SERVER['REMOTE_ADDR']]['sysdir']."/.htconfig.xml");

class submit
{	
	function are_set()
	{
		if (isset($_POST['submit_login'],$_POST['w3btorrent_username'],$_POST['w3btorrent_password']))
		{
			$_POST['w3btorrent_username'] = stripslashes($_POST['w3btorrent_username']);
			$_POST['w3btorrent_password'] = stripslashes($_POST['w3btorrent_password']);
			return true;
		}
	}
	
	
	function logout()
	{
		w3btorrent::write2log("Logout.");
		session_destroy();
		unset($_SESSION[$_SERVER['REMOTE_ADDR']]);
	}
	
	
	/* check given username and password against our XML db */
	function login($xml)
	{
		if ($_POST['w3btorrent_username'] == $xml->index['CONFIGURATION']['ACCOUNT']['ADMIN']['USERNAME']['value'] && md5(sha1($_POST['w3btorrent_password'])) == $xml->index['CONFIGURATION']['ACCOUNT']['ADMIN']['PASSWORD']['value'])
		{
			$_SESSION[$_SERVER['REMOTE_ADDR']]['admin']		= 1;
			w3btorrent::write2log("Admin login.");
			return true;
		}
	}
	
	
	/* simply redirect */
	function redirect()
	{
		header("location: ./");
		exit();
	}
}


/* login */
if (submit::are_set())
{
	/* wrong login */
	if (!submit::login($xml))
	{
		w3btorrent::write2log("Bad login attempt.");
	}
	/* correct login */
	else
	{
		w3btorrent::set_session_settings($xml);
		submit::redirect();
	}
}
/* logout */
elseif (isset($_GET['logout']) && isset($_SESSION[$_SERVER['REMOTE_ADDR']]))
{
	submit::logout();
	submit::redirect();
}

?>