<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

/* client haven't login */
if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
{
        header("location: ../../../");
        exit();
}

require_once("inc/class/xml.class.php");
$xml = new xml;
$xml->load($_SESSION[$_SERVER['REMOTE_ADDR']]['sysdir']."/.htconfig.xml");

/* get config values and check them */
foreach ($xml->index['CONFIGURATION']['SETTINGS'] as $key=>$value)
{
	if ($key == "LAST_USED")
	{
		$setting[$key] = $value['value'];
		continue;
	}
	$setting[$key] = (is_numeric($value['value'])?$value['value']:$value['default']);
}
unset($key,$value);

?>
<br />
<form method="post" action="?page=torrent&amp;file=<?php echo $_GET['file']; ?>&amp;action=start" class="selfcenter" style="width:99%;">
	<div class="bold left">Start a torrent with the program setting<hr /></div>
	<div class="col1"><img src="pix/txt.png" alt="" /> Torrent to start</div>
	<div class="left"><input class="path" type="text" value="<?php echo htmlentities(urldecode(base64_decode($_GET['file']))); ?>" readonly /></div>
	<br />
	<div class="col1"><img src="pix/down.png" alt="" /> Max. download rate (KB/s)</div>
	<div class="left below_space"><input type="text" name="max_download_rate" value="<?php echo $setting['MAX_DOWNLOAD_RATE']; ?>" /> (0 = unlimited)</div>
	<div class="col1"><img src="pix/up.png" alt="" /> Max. upload rate (KB/s)</div>
	<div class="left"><input type="text" name="max_upload_rate" value="<?php echo $setting['MAX_UPLOAD_RATE']; ?>" /> (0 = unlimited)</div>
	<br />
	<div class="col1"><img src="pix/users.png" alt="" /> Min. peers (default 1)</div>
	<div class="left below_space"><input type="text" name="min_peers" value="<?php echo $setting['MIN_PEERS']; ?>" /></div>
	<div class="col1"><img src="pix/user.png" alt="" /> Max. peers (default 1000)</div>
	<div class="left"><input type="text" name="max_peers" value="<?php echo $setting['MAX_PEERS']; ?>" /> (only for WCTorrent)</div>
	<br />
	<div class="col1"><img src="pix/up.png" alt="" /> Min. uploads (default 4	)</div>
	<div class="left below_space"><input type="text" name="min_uploads" value="<?php echo $setting['MIN_UPLOADS']; ?>" /> (only for BitTorrent)</div>
	<div class="col1"><img src="pix/up.png" alt="" /> Max. uploads (default 7)</div>
	<div class="left"><input type="text" name="max_uploads" value="<?php echo $setting['MAX_UPLOADS']; ?>" /> (only for BitTorrent)</div>
	<br />
	<div class="col1"><img src="pix/port.png" alt="" /> Min. port (default 6881)</div>
	<div class="left below_space"><input type="text" name="min_port" value="<?php echo $setting['MIN_PORT']; ?>" /> (only for BitTorrent)</div>	
	<div class="col1"><img src="pix/port.png" alt="" /> Max. port (default 6999)</div>
	<div class="left"><input type="text" name="max_port" value="<?php echo $setting['MAX_PORT']; ?>" /></div>
	<br />
	<div class="col1"><img src="pix/face-smile-big.png" alt="" /> Super seeder</div>
	<div class="left"><input type="checkbox" name="super_seeder"<?php if ($setting['SUPER_SEEDER']>0) { echo " checked"; } ?> /> (only for BitTorrent)</div>
	<br />
	<fieldset class="selfcenter left" style="width:300px;">
		<legend><strong>When finish..</strong></legend>
		<div><input type="radio" name="seed" value="0"<?php if ($setting['SEED'] == 0) { echo " checked"; } ?> /> Seed forever <img src="pix/face-smile.png" alt="" style="position:relative;top:4px;" /></div>
		<div><input type="radio" name="seed" value="1"<?php if ($setting['SEED'] == 1) { echo " checked"; } ?> /> Seed for <input style="width:50px;" type="text" name="seed_time" value="<?php echo $setting['SEED_TIME']; ?>" /> hours <img src="pix/face-plain.png" alt="" style="position:relative;top:4px;" /></div>
		<div><input type="radio" name="seed" value="2"<?php if ($setting['SEED'] == 2) { echo " checked"; } ?> /> Die <img src="pix/face-sad.png" alt="Don't do this:(" style="position:relative;top:4px;" /></div>
	</fieldset>
	<br />
	<fieldset class="selfcenter left" style="width:300px;">
		<legend><strong>What program to use</strong></legend>
		<input type="radio" name="core" value="wctorrent"<?php if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['wctorrent']) && ($setting['LAST_USED'] == "wctorrent" || empty($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['bt2status']))) { echo " checked"; } if (empty($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['wctorrent'])) { echo " disabled"; } ?> /> CTorrent (light)<br />
		<input type="radio" name="core" value="bt2status"<?php if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['bt2status']) && ($setting['LAST_USED'] == "bt2status" || empty($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['wctorrent']))) { echo " checked"; } if (empty($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['bt2status'])) { echo " disabled"; } ?> /> BitTorrent (heavy)<br />
	</fieldset>
   <br /><?php if (isset($status)) { echo "<span class=\"error\">$status</span><br />"; } ?><br />
	<input class="button" type="submit" name="submit_settings" value="Start torrent" />
</form>
<br />
