<?php

/*
w3btorrent (keep iT simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://wulong.name)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.

w3btorrent is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with w3btorrent; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
{
	header("location: ../../../../");
	exit();
}

require_once("inc/class/etc.class.php");

/* download file from web */
if (isset($_POST['submit_link'],$_POST['link']))
{
	/* invalid link */
	if (!$url = escapeshellarg(stripslashes($_POST['link'])))
	{
		$status = "Write a valid address.";
	}
	else
	{
		$save_as = $_SESSION[$_SERVER['REMOTE_ADDR']]['ddir'];
		/* defined name? */
		if (!empty($_POST['enable_filename']) && !empty($_POST['filename']))
		{
			$save_as .= "/".stripslashes($_POST['filename']);
			$file = 1;
		}
		
		/* we already have this file */
		if (file_exists($save_as) && $save_as != $_SESSION[$_SERVER['REMOTE_ADDR']]['ddir'])
		{
			$status = "The file '".basename($save_as)."' already exists.";
		}
		else
		{
			$save_as = escapeshellarg($save_as);
			$status  = "Download started, watch it in <a style=\"color:#ff0000;\" href=\"?page=downloads\">Downloads</a> section.";
			etc::safe_exec($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['nohup']." ".$_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['wget']." -q -".(isset($file)?"O":"P")." $save_as $url >> ".escapeshellarg(realpath($_SESSION[$_SERVER['REMOTE_ADDR']]['sysdir']."/.htlog"))." &");
			w3btorrent::write2log("Downloading $url to $save_as with wget.");
		}
	}
	
	/* Ajax */
	if (isset($_SERVER['AJAX'],$status))
	{
		echo $status;
		exit();
	}
}

?>