<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

require_once("inc/default.inc.php");
require_once("inc/class/hdc.class.php");
require_once("inc/class/torrent.class.php");


if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']) && !isset($_GET['user'],$_GET['password']))
{
	echo "Login first";
	exit();
}

/* login */
if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']) && isset($_GET['user'],$_GET['password']))
{
	require_once("inc/class/xml.class.php");
	$xml = new xml;
	$xml->load($_SESSION[$_SERVER['REMOTE_ADDR']]['sysdir']."/.htconfig.xml");
	if ($_GET['user'] == $xml->index['CONFIGURATION']['ACCOUNT']['ADMIN']['USERNAME']['value'] && $_GET['password'] == $xml->index['CONFIGURATION']['ACCOUNT']['ADMIN']['PASSWORD']['value'])
	{
		w3btorrent::set_session_settings($xml);
	}
	else
	{
		echo "Wrong login.";
		exit();
	}
}


$status = array();
foreach (hdc::list_files($_SESSION[$_SERVER['REMOTE_ADDR']]['ddir']) as $filename)
{
	$file = $_SESSION[$_SERVER['REMOTE_ADDR']]['ddir']."/$filename";
	if (substr($filename,-8) != ".torrent" || !is_file($file))
	{
		continue;
	}

	$statusfile	= $file.".status";
	if (!file_exists($statusfile))
	{
		if (!torrent::new_status_file_by_torrentfile($file))
		{
			continue;
		}
	}
	
	$status[] = torrent::status($statusfile);
}

echo "<?xml version=\"1.0\"?>";

?>
<rss version="2.0">
  <channel>
    <title>w3btorrent RSS</title>
    <link>http://<?php echo $_SERVER['SERVER_NAME'].":".$_SERVER["SERVER_PORT"].dirname($_SERVER['PHP_SELF']); ?></link>
    <description>Finish torrents from our torrent files</description>
    <language>en-us</language>
    <?php
    
    foreach ($status as $torrent)
    {
    	if ($torrent['percent'] != 100)
    	{
    		contine;
    	}
    	
    	$description = "";
    	foreach (torrent::metainfo($torrent['path'].".torrent") as $key=>$value)
    	{
    		if (empty($value))
    		{
    			continue;
    		}
    		
    		if ($key == "length")
    		{
    			$description = ucfirst($key).": ".etc::byte_change($value).".";
    		}
    		elseif ($key == "files")
    		{
    			$description = ucfirst($key).": ".sizeof($value).".";
    		}
    	}
    	
    	echo "<item>";
    	echo "<title>".htmlentities(urldecode(basename($torrent['path'])))."</title>";
    	/* provide link if we are logged in */
    	if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
    	{
    		echo "<link>http://".$_SERVER['SERVER_NAME'].":".$_SERVER["SERVER_PORT"].dirname($_SERVER['PHP_SELF'])."/?page=downloads&amp;path=".base64_encode("/".basename($torrent['path'])).(is_file($torrent['path'])?"&amp;action=download":"")."</link>";
    	}
    	echo "<description>$description</description>";
    	echo "<pubdate>".date("D, d M Y G:i:s",$torrent['time'])."</pubdate>";
    	echo "</item>";
    }
    
    ?>
  </channel>
</rss>