/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/



/* function to load our pages */
function page(arg_get)
{
	http_get('ajax/page.php'+arg_get,'main');
}



/* get status */
function status()
{
	/* start timer again */
	setTimeout('status();',5000);
	
	/* is current page the torrent page? */
	if (!document.getElementById('torrent'))
	{
		return;
	}
	
	/* download page */
	xml = http_get('ajax/page.php?page=torrent');

	/* check again that this is the torrent page */
	if (!document.getElementById('torrent'))
	{
		return;
	}
	document.getElementById('main').innerHTML = xml;
}


/* check path's */
var ddir_status_timer_id = false;
function ddir_status(arg_id,arg_dir)
{
	if (arg_id && !arg_dir)
	{
		document.getElementById(arg_id).src = 'pix/wrong.png';
	}
	else
	{
		if (ddir_status_timer_id)
		{
			clearTimeout(ddir_status_timer_id);
		}
		ddir_status_timer_id = setTimeout('valid_ddir(\''+arg_id+'\',\''+arg_dir+'\');',500);
	}
}
function valid_ddir(arg_id,arg_dir)
{
	/* not valid data */
	if (!arg_id && !arg_dir)
	{
		return;
	}

	/* check the dir */
	if (http_get('ajax/check.php?readable=1&writeable=1&executable=1&dir='+escape(arg_dir)) == 'readablewriteableexecutable')
	{
		document.getElementById(arg_id).src = 'pix/ok.png';
	}
	else
	{
		document.getElementById(arg_id).src = 'pix/wrong.png';
	}
}

var file_status_timer_id = false;
function file_status(arg_id,arg_file)
{
	if (file_status_timer_id)
	{
		clearTimeout(file_status_timer_id);
	}
	file_status_timer_id = setTimeout('valid_binfile(\''+arg_id+'\',\''+arg_file+'\');',500);
}
function valid_binfile(arg_id,arg_file)
{
	/* not valid data */
	if (arg_id && (!arg_file || arg_file.substr(-1) == "/"))
	{
		document.getElementById(arg_id).src = 'pix/wrong.png';
		return;
	}

	/* check the file path */
	if (http_get('ajax/check.php?executable=1&file='+escape(arg_file)) == 'executable')
	{
		document.getElementById(arg_id).src = 'pix/ok.png';
	}
	else
	{
		document.getElementById(arg_id).src = 'pix/wrong.png';
	}
}


function enable(arg_id)
{
	document.getElementById(arg_id).disabled = false;
}
function disable(arg_id)
{
	document.getElementById(arg_id).disabled = true;
}


/* enable or disable a element */
function enable_disable(arg_id)
{
	if (document.getElementById(arg_id).disabled)
	{
		enable(arg_id);
		return false;
	}
	else
	{
		disable(arg_id);
		return true;
	}
}



/* show or hide a element */
function show_hide(arg_id)
{
	if (!document.getElementById(arg_id).style.display)
	{
		document.getElementById(arg_id).style.display = 'none';
		return false;
	}
	else
	{
		document.getElementById(arg_id).style.display = '';
		return true;
	}
}



/* function will make a element flash like "arg_word", "arg_word.", "arg_word..", "arg_word..." to make it nicer */
function loading(arg_id,arg_word)
{
	if (document.getElementById(arg_id).innerHTML == arg_word)
	{
		document.getElementById(arg_id).innerHTML = arg_word+'.';
	}
	else if (document.getElementById(arg_id).innerHTML == arg_word+'.')
	{
		document.getElementById(arg_id).innerHTML = arg_word+'..';
	}
	else if (document.getElementById(arg_id).innerHTML == arg_word+'..')
	{
		document.getElementById(arg_id).innerHTML = arg_word+'...';
	}
	else if (document.getElementById(arg_id).innerHTML == '' || document.getElementById(arg_id).innerHTML == arg_word+'...')
	{
		document.getElementById(arg_id).innerHTML = arg_word;
	}
	else
	{
		return;
	}

	setTimeout('loading(\''+arg_id+'\',\''+arg_word+'\');',300);
}

function tip(arg_name,arg_value)
{
	document.getElementById(arg_name+'_path').value = arg_value;
	valid_binfile(arg_name+'_status',arg_value);
}

function torrent_start_disable_fields(arg_ctrl)
{
	ids = new Array('min_port','min_uploads','max_uploads','super_seeder');
	
	if (arg_ctrl)
	{
		for (id in ids)
		{
			disable(ids[id]);
		}
	}
	else
	{
		for (id in ids)
		{
			enable(ids[id]);
		}
	}
}