<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

/* client haven't login */
if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
{
        header("location: ../../../../");
        exit();
}

require_once("inc/class/xml.class.php");
$xml = new xml;
$xml->load($_SESSION[$_SERVER['REMOTE_ADDR']]['sysdir']."/.htconfig.xml");

/* get config values and check them */
foreach ($xml->index['CONFIGURATION']['SETTINGS'] as $key=>$value)
{
	if ($key == "LAST_USED")
	{
		$setting[$key] = $value['value'];
		continue;
	}
	$setting[$key] = (is_numeric($value['value'])?$value['value']:$value['default']);
}
unset($key,$value);

?><form class="c" method="post" action="?page=torrent&amp;file=<?php echo $_GET['file']; ?>&amp;action=start">Max. download rate<br /><input type="text" name="max_download_rate" value="<?php echo $setting['MAX_DOWNLOAD_RATE']; ?>" /><br />Max. upload rate<br /><input type="text" name="max_upload_rate" value="<?php echo $setting['MAX_UPLOAD_RATE']; ?>" /><br />Min. peers<br /><input type="text" name="min_peers" value="<?php echo $setting['MIN_PEERS']; ?>" /><br />Max. peers<br /><input type="text" name="max_peers" value="<?php echo $setting['MAX_PEERS']; ?>" /><br />Min. uploads<br /><input type="text" name="min_uploads" value="<?php echo $setting['MIN_UPLOADS']; ?>" /><br />Max. uploads<br /><input type="text" name="max_uploads" value="<?php echo $setting['MAX_UPLOADS']; ?>" /><br />Min. port<br /><input type="text" name="min_port" value="<?php echo $setting['MIN_PORT']; ?>" /><br />	
Max. port<br /><input type="text" name="max_port" value="<?php echo $setting['MAX_PORT']; ?>" /><br />Super seeder 
<input type="checkbox" name="super_seeder"<?php if ($setting['SUPER_SEEDER']>0) { echo " checked"; } ?> /><br /><fieldset><legend><strong>Seed time</strong></legend><div><input type="radio" name="seed" value="0"<?php if ($setting['SEED'] == 0) { echo " checked"; } ?> /> Seed forever</div><div><input type="radio" name="seed" value="1"<?php if ($setting['SEED'] == 1) { echo " checked"; } ?> /> Seed for <input style="width:50px;" type="text" name="seed_time" value="<?php echo $setting['SEED_TIME']; ?>" /> hours</div><div><input type="radio" name="seed" value="2"<?php if ($setting['SEED'] == 2) { echo " checked"; } ?> /> Die (don't do this)</div></fieldset><fieldset><legend><strong>What program to use</strong></legend><input type="radio" name="core" value="wctorrent"<?php if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['wctorrent']) && ($setting['LAST_USED'] == "wctorrent" || empty($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['bt2status']))) { echo " checked"; } if (empty($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['wctorrent'])) { echo " disabled"; } ?> /> CTorrent (light)<br /><input type="radio" name="core" value="bt2status"<?php if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['bt2status']) && ($setting['LAST_USED'] == "bt2status" || empty($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['wctorrent']))) { echo " checked"; } if (empty($_SESSION[$_SERVER['REMOTE_ADDR']]['bin']['bt2status'])) { echo " disabled"; } ?> /> BitTorrent (heavy)<br /></fieldset><br /><?php if (isset($status)) { echo $status."<br />"; } ?><input class="button" type="submit" name="submit_settings" value="Start" /></form>
