<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

/* client haven't login */
if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
{
	header("location: ../../../../");
	exit();
}

$statusfile	= $torrentfile.".status";
if (!file_exists($statusfile))
{
	if (!torrent::new_status_file_by_torrentfile($torrentfile))
	{
		continue;
	}
}
$status = torrent::status($statusfile);

$size				= explode(" ",etc::byte_change($status['torrent_size'],0));
$torrent_size	= $size['0'];
$current_size	= etc::byte_change($status['current_size'],2,$size['1']);

?><table><tr><td colspan="2"><strong><?php echo htmlentities(urldecode(base64_decode($_GET['file']))); ?></strong></td></tr><tr><td>Size</td><td><?php echo "$current_size/$torrent_size ".$size['1']; ?></td></tr><tr><td>Down/up</td><td><?php echo $status['down']."/".$status['up']; ?> KB/s</td></tr><tr><td>Percent</td><td><?php echo $status['percent']; ?>%</td></tr><tr><td>Status</td><td><?php if (is_numeric($status['status'])) { echo etc::human_time_left($status['status']); } else { echo $status['status']; } ?></td></tr><tr><td>Action</td><td><a href="?page=torrent"><?php if ($_SESSION[$_SERVER['REMOTE_ADDR']]['look'] == "simple") { echo "Back"; } else { echo "<img src=\"../pix/back.png\" alt=\"Back\" />"; } ?></a> <a href="?page=torrent&amp;file=<?php echo $_GET['file'] ?>&amp;action=status"><?php if ($_SESSION[$_SERVER['REMOTE_ADDR']]['look'] == "simple") { echo "Refresh"; } else { echo "<img src=\"../pix/reload.png\" alt=\"Refresh\" />"; } ?></a> <a href="?page=torrent&amp;file=<?php echo $_GET['file'] ?>&amp;action=<?php echo ($status['pid']?"stop":"start"); ?>"><?php if ($_SESSION[$_SERVER['REMOTE_ADDR']]['look'] == "simple") { echo ($status['pid']?"Stop":"Start"); } else { echo "<img src=\"../pix/player_".($status['pid']?"stop":"play").".png\" alt=\"".($status['pid']?"Stop":"Start")."\" />"; } ?></a></td></tr></table>
