<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
{
	header("location: ../../../../");
	exit();
}

require_once("inc/class/bcode.class.php");

class submit
{
	function download_are_set()
	{
		if (isset($_POST['submit_link'],$_POST['torrent_link'],$_POST['torrent_name']))
		{
			$_POST['torrent_link'] = stripslashes($_POST['torrent_link']);
			$_POST['torrent_name'] = stripslashes($_POST['torrent_name']);
			return true;
		}
	}
	
	
	function upload_are_set()
	{
		if (isset($_POST['submit_file'],$_FILES['torrent_file']))
		{
			if (isset($_POST['torrent_name']))
			{
				$_POST['torrent_name'] = stripslashes($_POST['torrent_name']);
			}
			return true;
		}
	}
	
	
	/* determine what filename should be */ 
	function filename()
	{
		if (!empty($_POST['torrent_enable_name']) && strlen($_POST['torrent_name']) > 0)
		{
			return basename($_POST['torrent_name']);
		}
		elseif (isset($this->metainfo['name']))
		{
			return basename($this->metainfo['name']);
		}
		else
		{
			if (!empty($_POST['torrent_link']))
			{
				return basename($_POST['torrent_link']);
			}
			elseif (!empty($_FILES['torrent_file']['name']))
			{
				return basename($_FILES['torrent_file']['name']);
			}
		}
	}
	
	function encoded_filename()
	{
		return urlencode(urldecode(etc::remove_ext($this->filename(),"torrent").".torrent"));
	}
}

$submit = new submit;
/* download file from web */
if (submit::download_are_set())
{
	if (!$content = file_get_contents($_POST['torrent_link']))
	{
		$status['download'] = "Invalid URL, unable to get torrent file.";
	}
	$type = "download";
	$submit->metainfo = bcode::decode($content);
}
/* upload file from client */
elseif (submit::upload_are_set())
{
	$type = "upload";
	$submit->metainfo = bcode::decode(file_get_contents($_FILES['torrent_file']['tmp_name']));
}

/* handle */
if (isset($type))
{
	/* make sure it is encoded */
	$filename = $submit->encoded_filename();
	$file 	 = $_SESSION[$_SERVER['REMOTE_ADDR']]['ddir']."/$filename";

	/* file exists */
	if (is_file($file))
	{
			$status[$type] = "The file '".etc::subword($filename,30)."' already exists, set another name.";
	}
	elseif (!isset($submit->metainfo['name']))
	{
		$status[$type] = "Not a valid torrent file.";
	}
	else
	{
		/* store file on server */
		if ($type == "download")
		{
			etc::php4_file_put_contents($file,$content);
		}
		else
		{
			move_uploaded_file($_FILES['torrent_file']['tmp_name'],$file);
		}
		chmod($file,0400);

		$status[$type] = "Successfully $type.";
		w3btorrent::write2log(ucfirst($type)." '$filename', valid torrent file.");
	}
}

/* Ajax */
if (isset($_SERVER['AJAX'],$type,$status[$type]))
{
	echo $status[$type];
	exit();
}

?>