<?php

if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
{
	header("location: ../../../../");
	exit();
}

/* find execute size limit */
$limit	= ini_get("memory_limit");
$unit		= substr($limit,-1);
$limit 	= substr($limit,0,-1)*str_replace(array("B","K","M"),array(0,1024,1048576),$unit);

$file 	= $_SESSION[$_SERVER['REMOTE_ADDR']]['sysdir']."/.htlog";
$size 	= filesize($file);

if ($size >= $limit)
{
	$data = "Error: the log file is larger than ".etc::byte_change($limit)." which is limit on this server. You must clean the log to be able to view it again.";
}
else
{
	$data = file_get_contents($file);
}

?>
<textarea rows="25" cols="110" readonly><?php echo $data; ?></textarea>
<br/><div class="right"><?php echo etc::byte_change($size); ?></div><br />
<form method="post" action="?page=log" class="selfcenter" style="width:99%;">
	<input class="button" type="submit" name="submit_clear" value="Clear log" />
	<input class="button" type="submit" name="submit_download" value="Download log" />
</form>
