<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

require_once("inc/default.inc.php");

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<title><?php echo w3btorrent::version(); ?></title>
	<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
	<meta name="description" content="w3btorrent - keep it simple" />
	<link rel="shortcut icon" href="pix/w3btorrent.ico" />
	<link rel="stylesheet" type="text/css" href="link/stylesheet.css" />
	<?php
	
	if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
	{
		echo "<link rel=\"alternate\" type=\"application/rss+xml\" title=\"Finish downloads\" href=\"rss.php?user=".$_SESSION[$_SERVER['REMOTE_ADDR']]['user']."&amp;password=".$_SESSION[$_SERVER['REMOTE_ADDR']]['password']."\" />";
	}
	
	?>
	
	<script type="text/javascript" src="script/http.js"></script>
	<script type="text/javascript" src="script/javascript.js"></script>
	<script type="text/javascript">setTimeout('status();',5000);</script>
</head>
<body>
<div id="container">
	<br />
	<div id="logo"></div>
	<br />
	<div id="menu"><?php if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin'])) { require_once(site::path("menu")); } ?></div>
	<br />
	<div id="disk_bar"><?php if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin'])) { require_once(site::path("disk_bar")); } ?></div>
	<div id="main"><?php require_once(site::path("page")); ?></div>
	<br />
</div>
<div id="footer"><?php require_once(site::path("footer")); ?></div>
</body>
</html>
