<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

if (!isset($_SESSION))
{
	header("location: ../../../../");
	exit();
}

require_once("inc/class/xml.class.php");
$xml = new xml;
$xml->load($_SESSION[$_SERVER['REMOTE_ADDR']]['sysdir']."/.htconfig.xml");
	
class submit
{	
	function are_set()
	{
		if (isset($_POST['u'],$_POST['p'],$_POST['l']))
		{
			$_POST['u'] = stripslashes($_POST['u']);
			$_POST['p'] = stripslashes($_POST['p']);
			$_POST['l'] = stripslashes($_POST['l']);
			return true;
		}
	}
	
	
	/* check given username and password against our XML db */
	function login($xml)
	{
		if ($_POST['u'] == $xml->index['CONFIGURATION']['ACCOUNT']['ADMIN']['USERNAME']['value'] && md5(sha1($_POST['p'])) == $xml->index['CONFIGURATION']['ACCOUNT']['ADMIN']['PASSWORD']['value'])
		{
			if ($_POST['l'] == "s")
			{
				$_SESSION[$_SERVER['REMOTE_ADDR']]['look'] = "simple";
			}
			else
			{
				$_SESSION[$_SERVER['REMOTE_ADDR']]['look'] = "normal";
			}
			$_SESSION[$_SERVER['REMOTE_ADDR']]['admin'] = 1;
			w3btorrent::write2log("WAP: Admin login.");
			return true;
		}
	}


	function logout()
	{
		w3btorrent::write2log("Logout.");
		session_destroy();
		unset($_SESSION[$_SERVER['REMOTE_ADDR']]);
	}

	
	/* simply redirect */
	function redirect()
	{
		header("location: ./");
		exit();
	}
}


/* login */
if (submit::are_set())
{
	/* wrong login */
	if (!submit::login($xml))
	{
		w3btorrent::write2log("WAP: Bad login attempt.");
		$status = "Wrong username or password";
	}
	/* correct login */
	else
	{
		w3btorrent::set_session_settings($xml);
		/* store current look */
		if ($_POST['l'] == "s")
		{
			$xml->index['CONFIGURATION']['WAP']['LOOK']['value'] = "simple";
		}
		else
		{
			$xml->index['CONFIGURATION']['WAP']['LOOK']['value'] = "normal";
		}
		xml::write_config($xml->index,$_SESSION[$_SERVER['REMOTE_ADDR']]['sysdir']."/.htconfig.xml");
		
		/* check if system is setup */
		if (isset($_SESSION[$_SERVER['REMOTE_ADDR']]['setup']))
		{
			unset($_SESSION[$_SERVER['REMOTE_ADDR']]);
			w3btorrent::write2log("WAP: login attempt, system not correct configured.");
			$status = "System is not setup right.";
		}	
		
		submit::redirect();
	}
}
/* logout */
elseif (isset($_GET['logout']))
{
	submit::logout();
	submit::redirect();
}

?>