<?php

/*
w3btorrent (keep it simple) - simple web fronted torrent client
Copyright (C) 2005, 2007  Vegard Hammerseth <thewulong@gmail.com> (http://thewulong.com)

This file is part of w3btorrent.

w3btorrent is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.
*/

/* client haven't login */
if (!isset($_SESSION[$_SERVER['REMOTE_ADDR']]['admin']))
{
	header("location: ../../../../");
	exit();
}
require_once("inc/class/hdc.class.php");

$led = array(
					"../pix/ledgrey.png",
					"../pix/ledred.png",
					"../pix/ledyellow.png",
					"../pix/ledblue.png",
					"../pix/ledgreen.png"
				);


foreach (hdc::list_files($_SESSION[$_SERVER['REMOTE_ADDR']]['ddir']) as $filename)
{
	$file = $_SESSION[$_SERVER['REMOTE_ADDR']]['ddir']."/$filename";
	if (substr($filename,-8) != ".torrent" || !is_file($file) || !is_readable($file))
	{
		continue;
	}

	$name			= etc::remove_ext(urldecode($filename),"torrent");
	$outname		= htmlentities(etc::subword($name,20));
	$name			= htmlentities($name);
	$href 		= base64_encode($filename);
	$statusfile	= $file.".status";
	if (!file_exists($statusfile))
	{
		if (!torrent::new_status_file_by_torrentfile($file))
		{
			continue;
		}
	}
	$status = torrent::status($statusfile);
	
	if ($_SESSION[$_SERVER['REMOTE_ADDR']]['look'] == "simple")
	{
		echo $status['led'];
	}
	else
	{
		echo "<img src=\"".$led[$status['led']]."\" alt=\"".$led[$status['led']]."\" />";
	}
	echo " - <a href=\"?page=torrent&amp;file=$href&amp;action=status\">$outname</a><br />";
}

if (!isset($name))
{
	echo "No torrents.";
}

?>